## r-cran-sodium 1.1

=== DESCRIPTION ===
Package: sodium
Type: Package
Title: A Modern and Easy-to-Use Crypto Library
Version: 1.1
Author: Jeroen Ooms
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Description: Bindings to 'libsodium': a modern, easy-to-use software library for
    encryption, decryption, signatures, password hashing and more. Sodium uses
    curve25519, a state-of-the-art Diffie-Hellman function by Daniel Bernstein,
    which has become very popular after it was discovered that the NSA had
    backdoored Dual EC DRBG.
License: MIT + file LICENSE
URL: https://github.com/jeroen/sodium#readme (devel)
        https://download.libsodium.org/doc/ (upstream)
BugReports: https://github.com/jeroen/sodium/issues
SystemRequirements: libsodium (>= 1.0.3)
VignetteBuilder: knitr
Suggests: knitr, rmarkdown
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2017-03-30 18:45:44 UTC; jeroen
Repository: CRAN
Date/Publication: 2017-03-30 21:34:36 UTC

=== debian/changelog ===
r-cran-sodium (1.1-1) unstable; urgency=medium

  * Initial release (closes: #932807)

 -- Andreas Tille <tille@debian.org>  Tue, 23 Jul 2019 18:32:16 +0200

=== debian/control ===
Source: r-cran-sodium
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               libsodium-dev
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sodium
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sodium.git
Homepage: https://cran.r-project.org/package=sodium

Package: r-cran-sodium
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R modern and easy-to-use crypto library
 Bindings to 'libsodium': a modern, easy-to-use software library for
 encryption, decryption, signatures, password hashing and more. Sodium uses
 curve25519, a state-of-the-art Diffie-Hellman function by Daniel Bernstein,
 which has become very popular after it was discovered that the NSA had
 backdoored Dual EC DRBG.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/sodium_([-\d.]*)\.tar\.gz

## r-cran-sodium 1.2.0

=== DESCRIPTION ===
Package: sodium
Type: Package
Title: A Modern and Easy-to-Use Crypto Library
Version: 1.2.0
Author: Jeroen Ooms
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Description: Bindings to 'libsodium': a modern, easy-to-use software library for
    encryption, decryption, signatures, password hashing and more. Sodium uses
    curve25519, a state-of-the-art Diffie-Hellman function by Daniel Bernstein,
    which has become very popular after it was discovered that the NSA had
    backdoored Dual EC DRBG.
License: MIT + file LICENSE
URL: https://github.com/jeroen/sodium (devel)
        https://doc.libsodium.org/ (upstream)
BugReports: https://github.com/jeroen/sodium/issues
SystemRequirements: libsodium (>= 1.0.3)
VignetteBuilder: knitr
Suggests: knitr, rmarkdown
RoxygenNote: 7.1.1
NeedsCompilation: yes
Packaged: 2021-10-21 14:23:28 UTC; jeroen
Repository: CRAN
Date/Publication: 2021-10-21 15:00:02 UTC

=== debian/changelog ===
r-cran-sodium (1.2.0-1) unstable; urgency=medium

  * Team Upload.
  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database,
    Bug-Submit, Repository, Repository-Browse.

  [ Nilesh Patra ]
  * New upstream version 1.2.0
  * Bump debhelper compatibility level to 13
  * Bump Standards-Version to 4.6.0 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 23 Oct 2021 23:53:44 +0530

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                libsodium-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sodium
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sodium.git
 Homepage: https://cran.r-project.org/package=sodium

## r-cran-sodium 1.2.1+dfsg

=== DESCRIPTION ===
Package: sodium
Type: Package
Title: A Modern and Easy-to-Use Crypto Library
Version: 1.2.1
Author: Jeroen Ooms
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Description: Bindings to 'libsodium' <https://doc.libsodium.org/>: a modern, 
    easy-to-use software library for encryption, decryption, signatures, password
    hashing and more. Sodium uses curve25519, a state-of-the-art Diffie-Hellman 
    function by Daniel Bernstein, which has become very popular after it was 
    discovered that the NSA had backdoored Dual EC DRBG.
License: MIT + file LICENSE
URL: https://docs.ropensci.org/sodium/ https://github.com/r-lib/sodium
BugReports: https://github.com/r-lib/sodium/issues
SystemRequirements: libsodium (>= 1.0.3)
VignetteBuilder: knitr
Suggests: knitr, rmarkdown
RoxygenNote: 7.1.2
NeedsCompilation: yes
Packaged: 2022-06-11 08:16:07 UTC; jeroen
Repository: CRAN
Date/Publication: 2022-06-11 21:40:02 UTC

=== debian/changelog ===
r-cran-sodium (1.2.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Remove autogenerated HTML docs since it is including compressed JS

 -- Andreas Tille <tille@debian.org>  Fri, 24 Jun 2022 12:04:12 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: r-cran-sodium
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sodium
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sodium.git
+Homepage: https://cran.r-project.org/package=sodium
+Rules-Requires-Root: no
+Standards-Version: 4.6.1
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                libsodium-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sodium
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sodium.git
-Homepage: https://cran.r-project.org/package=sodium
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-sodium
 Architecture: any

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
https://cloud.r-project.org/src/contrib/sodium_([-\d.]*)\.tar\.gz

## r-cran-sodium 1.3.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Package: sodium
 Type: Package
 Title: A Modern and Easy-to-Use Crypto Library
-Version: 1.2.1
-Author: Jeroen Ooms
-Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
+Version: 1.3.1
+Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
+    comment = c(ORCID = "0000-0002-4035-0289"))
 Description: Bindings to 'libsodium' <https://doc.libsodium.org/>: a modern, 
     easy-to-use software library for encryption, decryption, signatures, password
     hashing and more. Sodium uses curve25519, a state-of-the-art Diffie-Hellman 
@@ -15,8 +15,10 @@
 SystemRequirements: libsodium (>= 1.0.3)
 VignetteBuilder: knitr
 Suggests: knitr, rmarkdown
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.3
 NeedsCompilation: yes
-Packaged: 2022-06-11 08:16:07 UTC; jeroen
+Packaged: 2023-11-20 12:47:21 UTC; jeroen
+Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
+Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2022-06-11 21:40:02 UTC
+Date/Publication: 2023-11-20 13:40:02 UTC

=== debian/changelog ===
r-cran-sodium (1.3.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 26 Nov 2023 18:06:05 +0100

r-cran-sodium (1.3.0+dfsg-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 17 Oct 2023 15:02:44 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sodium
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sodium.git
 Homepage: https://cran.r-project.org/package=sodium
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,

## r-cran-sodium 1.4.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: sodium
 Type: Package
 Title: A Modern and Easy-to-Use Crypto Library
-Version: 1.3.1
-Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
+Version: 1.4.0
+Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroenooms@gmail.com",
     comment = c(ORCID = "0000-0002-4035-0289"))
 Description: Bindings to 'libsodium' <https://doc.libsodium.org/>: a modern, 
     easy-to-use software library for encryption, decryption, signatures, password
@@ -17,8 +17,8 @@
 Suggests: knitr, rmarkdown
 RoxygenNote: 7.2.3
 NeedsCompilation: yes
-Packaged: 2023-11-20 12:47:21 UTC; jeroen
+Packaged: 2024-12-16 14:16:42 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
-Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
+Maintainer: Jeroen Ooms <jeroenooms@gmail.com>
 Repository: CRAN
-Date/Publication: 2023-11-20 13:40:02 UTC
+Date/Publication: 2024-12-16 15:00:05 UTC

=== debian/changelog ===
r-cran-sodium (1.4.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 23 Jan 2025 16:47:01 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sodium
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sodium.git
 Homepage: https://cran.r-project.org/package=sodium
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
